REQUEST_RTIRQ(3)

NAME
request_RTirq - install an interrupt handler

WARNING
This is RTL v1.x compatibility function. Please do not use it for new programs.

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rtf.h>
#include <asm/rt_irq.h>

int request_RTirq(unsigned int irq, void (*handler)(void));

DESCRIPTION
request_RTirq installs handler as an interrupt service routine for IRQ level irq. handler is then invoked whenever interrupt number irq occurs. The interrupt service routine can be uninstalled using free_RTirq.

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-EINVAL
    irq is not a valid IRQ number, or handler is NULL.

-EBUSY
    irq already has a handler. You must first call free_RTirq to make the IRQ available.

SEE ALSO
free_RTirq(3)